baseURL= "https://fosscat.com/"
defaultContentLanguage = "en-us"
title = "Foss Cat"
theme = "gokarna"
enableRobotsTXT= true
enableEmoji = true
# code highlighting style
pygmentsStyle = "catppuccin-frappe"

[params]
accentColor = "#715483"
socialIcons = [
  {name = "gitea", url = "https://git.fosscat.com/n8r"},
  {name = "twitch", url = "https://twitch.tv/fosscat"},
  {name = "youtube", url = ""},
  {name = "rss", url = "https://fosscat.com/index.xml"},
]
# <link> tags for favicon support
customHeadHTML = '''
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
  <link rel="manifest" href="/site.webmanifest">
  <!-- <script>console.log("Custom script")</script> -->
  <!-- <script src="/js/custom.js"></script> -->
''' # Import file from `static/`
# customFooterHTML = '<p>foot123</p>'
togglePreviousAndNextButtons = "true"
avatarUrl = "/images/fosscat_icon.png"
avatarSize = "size-s"
numberPostsOnHomePage = 5
showPostsOnHomePage = "recent" # "popular"

[params.meta]
favicon = true
svg = false

# Show table of contents
[markup]
  [markup.tableOfContents]
    startLevel = 1
    endLevel = 3
    ordered = false

[menu]
[[menu.main]]
name = "Home"
url = "/"
weight = 1
[[menu.main]]
identifier = "tils"
name = "TIL's"
url = "/tils/"
weight = 2
[[menu.main]]
name = "Projects"
url = "/projects/"
weight = 3
[[menu.main]]
name = "Posts"
url = "/posts/"
weight = 4
[[menu.main]]
name = "Tags"
url= "/tags/"
weight= 5
[[menu.main]]
identifier = "Gitea"
url = "https://git.fosscat.com/n8r/fosscat-site"
weight = 6
# Add Icon
pre = "<span data-feather='code'></span>"
[[menu.main]]
identifier = "RSS"
url = "https://fosscat.com/index.xml"
weight = 6
# Add Icon
pre = "<span data-feather='rss'></span>"

# Enable raw HTML
[markup.goldmark.renderer]
unsafe= true
